Bug 1300312 (CVE-2015-8779) - CVE-2015-8779 glibc: Unbounded stack allocation in catopen function
Summary: CVE-2015-8779 glibc: Unbounded stack allocation in catopen function
Status: NEW
Alias: CVE-2015-8779
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150129,repor...
Keywords: Security
Depends On: 1300314 1358015 1374654
Blocks: 1300316 1415638
TreeView+ depends on / blocked
 
Reported: 2016-01-20 13:04 UTC by Adam Mariš
Modified: 2017-08-01 18:13 UTC (History)
25 users (show)

Fixed In Version: glibc 2.23
Doc Type: Bug Fix
Doc Text:
A stack based buffer overflow vulnerability was found in the catopen() function. An excessively long string passed to the function could cause it to crash or, potentially, execute arbitrary code.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0680 normal SHIPPED_LIVE Moderate: glibc security and bug fix update 2017-03-21 12:36:34 UTC
Red Hat Product Errata RHSA-2017:1916 normal SHIPPED_LIVE Moderate: glibc security, bug fix, and enhancement update 2017-08-01 18:05:43 UTC
Sourceware 17905 None None None 2016-01-20 13:11 UTC

Description Adam Mariš 2016-01-20 13:04:45 UTC
A stack overflow vulnerability in the catopen function was found, causing applications which pass long strings to the catopen function to crash or, potentially execute arbitrary code.

Upstream bug:

https://sourceware.org/bugzilla/show_bug.cgi?id=17905

CVE assignment:

http://seclists.org/oss-sec/2016/q1/153

Comment 1 Adam Mariš 2016-01-20 13:05:42 UTC
Created glibc tracking bugs for this issue:

Affects: fedora-all [bug 1300314]

Comment 7 Martin Prpič 2016-07-07 07:57:13 UTC
Mitigation:

Do not use applications which call catopen with unbounded strings.  The catopen function is rarely used.  Typical application usage involves passing a short, constant string to catopen, so most applications are not affect even if they call catopen.

Comment 9 errata-xmlrpc 2017-03-21 10:35:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:0680 https://rhn.redhat.com/errata/RHSA-2017-0680.html

Comment 11 errata-xmlrpc 2017-08-01 18:13:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1916 https://access.redhat.com/errata/RHSA-2017:1916


Note You need to log in before you can comment on or make changes to this bug.